
Summary: 	Keurocalc 
Name:   	keurocalc
Version: 	0.9.7
Release: 	%mkrel 1 
Url:		http://opensource.bureau-cornavin.com/keurocalc/index.html
Source0: 	http://opensource.bureau-cornavin.com/keurocalc/%name-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	arts 
BuildRequires:  kdelibs-devel 

Obsoletes:	kde3-keurocalc
Provides:	kde3-keurocalc
Patch1:		keurocalc-autoconf-2.6.patch

%description
KEuroCalc is a currency converter and calculator centered on the Euro. It can
convert from and to many currencies, either with a fixed conversion rate or a
variable conversion rate. It directly downloads the latest variable rates
through the Internet.

%prep

%setup -q -nkeurocalc
%patch1 -p1 -b .autoconf

%build
make -f admin/Makefile.common


CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=%{_prefix}/lib/qt3 \
		    --disable-rpath \
		    --disable-debug \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif		
	            --enable-final

%make

%install
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir

kdedesktop2mdkmenu.pl keurocalc Applications/Finances %buildroot/%_datadir/applnk/Applications/keurocalc.desktop %buildroot/%_menudir/keurocalc

# David - 0.03-2mdk - Provide menu's icons for all WM/DM
perl -ppi -e "s|icon=\"keurocalc.png\"|icon=\"finances_section.png\"|" %buildroot/%_menudir/keurocalc

%find_lang %{name} 

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif
 
%postun
/sbin/ldconfig
%{clean_menus} 
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%files -f %name.lang
%defattr(-,root,root)
%_bindir/%name
#
%_menudir/%name 
%_datadir/applnk/Applications/%name.desktop


%dir %_datadir/apps/keurocalc/
%_datadir/apps/keurocalc/splash.png

%_datadir/apps/keurocalc/currencies.xml

%dir %_docdir/HTML/pt/keurocalc
%_docdir/HTML/pt/keurocalc/common
%_docdir/HTML/pt/keurocalc/index.cache.bz2
%_docdir/HTML/pt/keurocalc/index.docbook

%_iconsdir/hicolor/16x16/apps/keurocalc.png
%_iconsdir/hicolor/32x32/apps/keurocalc.png
%_iconsdir/hicolor/48x48/apps/keurocalc.png


%dir %_docdir/HTML/en/keurocalc/
%doc %_docdir/HTML/en/keurocalc/common
%doc %_docdir/HTML/en/keurocalc/*.bz2
%doc %_docdir/HTML/en/keurocalc/*.docbook
%doc %_docdir/HTML/en/keurocalc/*.png

%dir %_docdir/HTML/da/keurocalc/
%doc %_docdir/HTML/da/keurocalc/common
%doc %_docdir/HTML/da/keurocalc/*.bz2
%doc %_docdir/HTML/da/keurocalc/*.docbook


%dir %_docdir/HTML/fr/keurocalc/
%doc %_docdir/HTML/fr/keurocalc/common
%doc %_docdir/HTML/fr/keurocalc/*.bz2
%doc %_docdir/HTML/fr/keurocalc/*.docbook
%doc %_docdir/HTML/fr/keurocalc/*.png

%dir %_docdir/HTML/sv/keurocalc/
%doc %_docdir/HTML/sv/keurocalc/common
%doc %_docdir/HTML/sv/keurocalc/*.bz2
%doc %_docdir/HTML/sv/keurocalc/*.docbook
%doc %_docdir/HTML/sv/keurocalc/*.png

%dir %_docdir/HTML/et/keurocalc/
%doc %_docdir/HTML/et/keurocalc/common
%doc %_docdir/HTML/et/keurocalc/*.bz2
%doc %_docdir/HTML/et/keurocalc/*.docbook

%dir %_docdir/HTML/es/keurocalc/
%doc %_docdir/HTML/es/keurocalc/common
%doc %_docdir/HTML/es/keurocalc/index.cache.bz2
%doc %_docdir/HTML/es/keurocalc/index.docbook

%dir %_docdir/HTML/it/keurocalc/
%doc %_docdir/HTML/it/keurocalc/common
%doc %_docdir/HTML/it/keurocalc/index.cache.bz2
%doc %_docdir/HTML/it/keurocalc/index.docbook
%doc %_docdir/HTML/it/keurocalc/*.png

%dir %_docdir/HTML/nb/keurocalc/
%doc %_docdir/HTML/nb/keurocalc/common
%doc %_docdir/HTML/nb/keurocalc/index.cache.bz2
%doc %_docdir/HTML/nb/keurocalc/index.docbook
%doc %_docdir/HTML/nb/keurocalc/*.png

%dir %_docdir/HTML/nl/keurocalc/
%doc %_docdir/HTML/nl/keurocalc/common
%doc %_docdir/HTML/nl/keurocalc/*.bz2
%doc %_docdir/HTML/nl/keurocalc/*.docbook



%changelog
* Mon Nov 13 2006 Laurent Montel <lmontel@mandriva.com> 0.9.7-1mdv2007.0
+ Revision: 83567
- 0.9.7
- Import keurocalc



* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.6-3mdv2007.0
- Rebuild for new menu and extension
- Use Macros for icons

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.6-2mdk
- Rebuild to generate categories

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.6-1mdk
- New release 0.9.6

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.5-1mdk
- New release 0.9.5

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-3mdk
- Fix Build for x86_64

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-2mdk
- Remove redundant Buildrequires

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-1mdk
- New release 0.9.4
- Drop Patch 0 ( unneeded )
- Fix Source 0

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.9.3-1mdk
- 0.9.3

* Thu Jun 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.1-2mdk
- Rebuild

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.0-1mdk
- 0.9

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix 

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.0-2mdk
- Fix description and url (fix from Eric Bischoff <e.bischoff@noos.fr>)

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Wed Dec 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-4mdk
- Rebuild

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.6.1-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Rebuild against gcc-3.2

* Fri Jul 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-4mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-3mdk
- Rebuild against gcc3.1

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix update-menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-1mdk
- port to kde3

* Tue Feb 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.8-1mdk
- Update code 0.5.8

* Wed Jan 23 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.7-2mdk
- Rebuild

* Tue Jan 17 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.7-1mdk
- Update code (0.5.7)

* Tue Jan 10 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.5-1mdk
- Update code (0.5.5)

* Thu Jan 08 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.4-2mdk
- Add patch0 : fix big crash (patch ok'ed by Eric Bischoff)

* Thu Jan 08 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.4-1mdk
- Update code (0.5.4)

* Wed Jan 02 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.3-1mdk
- Update code (0.5.3)

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.03-2mdk
- Use default finances icon for menu
- Move in Applications/Finances (menu)
- Fix date of previous changelog
- Fix %%description

* Wed Dec 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.03-1mdk
- Initial package
